<?php
$f1 = fopen("donnees_utilisateurs2.txt", "w");
// --------------------------------------------
// --- saisie d'une liste de personnes ---
// --------------------------------------------
$saisie="saisie non vide";
$nb_personnes=0;
while (!empty($saisie))
{
 echo "Entrez un nom, une profession, un pays et un âge (ex : Dupont Etudiant France 28) : ";
 $saisie=fgets(STDIN);
 // --- traitement de la chaîne lue, ---
 // suppression des espaces au début , à la fin et suppression du saut de ligne
 $saisie=trim($saisie);
 // remplace les espaces multiples par un seul espace
 $saisie= preg_replace('/\s{2,}/',' ',$saisie);
 // on vérifie que la saisie n'est pas vide
 if (!empty($saisie))
 {
  // rangement dans les variables
  list($nom,$prof,$pays,$age)=explode(' ',$saisie);
  // -------------------------
  // écriture dans le fichier
  // -------------------------
  fprintf($f1,"%s\t%s\t%s\t%d\n",$nom,$prof,$pays,$age);
  $nb_personnes++;
 }
}
echo "--- Sauvegarde dans donnees_utilisateurs2.txt : $nb_personnes personnes---".PHP_EOL;
fclose($f1);
?>
